#### PyKDE - Python Bindings for KDE

# class KShellCompletion |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KShellCompletion
Inherits | KURLCompletion

### methods

- KShellCompletion ()

  returns a KShellCompletion instance

- makeCompletion (text)

  returns (QString)
  Argument | Type | Default
  --- | --- | ---
  text | QString |

- postProcessMatch (match)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  match | QString |

- postProcessMatches (matches)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  matches | QStringList |

- postProcessMatches (matches)

  Not Implemented